package nckd.jimin.jyyy.hr.hrmp.hbpm.opplugin.web.position;

import kd.bos.entity.datamodel.events.PackageDataEvent;
import kd.bos.form.events.BeforeCreateListDataProviderArgs;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QFilter;
import kd.hrmp.hrpi.business.infrastructure.utils.QFilterUtil;
import kd.sdk.plugin.Plugin;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * Tyx 2025-06-19
 * 岗位信息维护列表插件
 * 查询各个岗位在岗人数和在岗人员姓名拼接，兼职情况后面新增（兼）
 */
public class PositionListEx extends AbstractListPlugin implements Plugin {

    @Override
    public void packageData(PackageDataEvent e) {
        super.packageData(e);

    }

    @Override
    public void beforeCreateListDataProvider(BeforeCreateListDataProviderArgs args) {
        super.beforeCreateListDataProvider(args);
        String appId = this.getView().getFormShowParameter().getAppId();
        args.setListDataProvider(new PositionDataProviderEx());
    }
}